OGRE: Ogre::Quake3Shader Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Quake3Shader Class Reference
Plugins » BSPSceneManager

Class for recording Quake3 shaders. More...

`#include <OgreQuake3Shader.h>`

Inheritance diagram for Ogre::Quake3Shader:
[legend]

## Classes
struct | Pass

## Public Types
typedef std::vector< Pass > | PassList

## Public Member Functions
| Quake3Shader (const String &name)
| Default constructor - used by Quake3ShaderManager (do not call directly).
| ~Quake3Shader ()
MaterialPtr | createAsMaterial (int lightmapNumber)
| Creates this shader as an OGRE material.

## Public Attributes
Real | cloudHeight
ManualCullingMode | cullMode
DeformFunc | deformFunc
Real | deformParams [5]
bool | farbox
String | farboxName
unsigned int | flags
bool | fog
ColourValue | fogColour
Real | fogDistance
int | numPasses
PassList | pass
bool | skyDome

## Detailed Description

Class for recording Quake3 shaders.

This is a temporary holding area since shaders are actually converted into Material objects for use in the engine proper. However, because we have to read in shader definitions en masse (because they are stored in shared .shader files) without knowing which will actually be used, we store their definitions here temporarily since their instantiations as Materials would use precious resources because of the automatic loading of textures etc.

## Member Typedef Documentation

## ◆ PassList

typedef std::vector<Pass> Ogre::Quake3Shader::PassList

## Constructor & Destructor Documentation

## ◆ Quake3Shader()

Ogre::Quake3Shader::Quake3Shader | ( | const String & | name | ) |

Default constructor - used by Quake3ShaderManager (do not call directly).

## ◆ ~Quake3Shader()

Ogre::Quake3Shader::~Quake3Shader | ( |  | ) |

## Member Function Documentation

## ◆ createAsMaterial()

MaterialPtr Ogre::Quake3Shader::createAsMaterial | ( | int | lightmapNumber | ) |

Creates this shader as an OGRE material.

Creates a new material based on this shaders settings. Material name shader#lightmap.

## Member Data Documentation

## ◆ flags

unsigned int Ogre::Quake3Shader::flags

## ◆ numPasses

int Ogre::Quake3Shader::numPasses

## ◆ pass

PassList Ogre::Quake3Shader::pass

## ◆ farbox

bool Ogre::Quake3Shader::farbox

## ◆ farboxName

String Ogre::Quake3Shader::farboxName

## ◆ skyDome

bool Ogre::Quake3Shader::skyDome

## ◆ cloudHeight

Real Ogre::Quake3Shader::cloudHeight

## ◆ deformFunc

DeformFunc Ogre::Quake3Shader::deformFunc

## ◆ deformParams

Real Ogre::Quake3Shader::deformParams[5]

## ◆ cullMode

ManualCullingMode Ogre::Quake3Shader::cullMode

## ◆ fog

bool Ogre::Quake3Shader::fog

## ◆ fogColour

ColourValue Ogre::Quake3Shader::fogColour

## ◆ fogDistance

Real Ogre::Quake3Shader::fogDistance

The documentation for this class was generated from the following file:

- OgreQuake3Shader.h